week_date(3)

NAME
week_date -

SYNOPSIS

  Data Fields
int year
int week
int day

Detailed Description

Structure which represents a date as a year, week number of that year, and day of week. See http://en.wikipedia.org/wiki/ISO_week_date for more information.

Field Documentation

  int week_date::day
day within week

  int week_date::week
week number (#1 is where first Thursday is in)

  int week_date::year
year number (Gregorian calendar)

Author

Generated automatically by Doxygen for avr-libc from the source code.